package pbehavior_test

import (
	"time"

	"git.canopsis.net/canopsis/go-revolution/lib/canopsis/pbehavior"
	"git.canopsis.net/canopsis/go-revolution/lib/canopsis/types"
)

func getPBehavior() pbehavior.PBehavior {
	start := types.CpsTime{Time: time.Now()}
	end := types.CpsTime{Time: time.Now().Add(time.Hour * 2)}

	p := pbehavior.PBehavior{
		Author:        "Alan & Thomas",
		Connector:     "C1995-O1",
		ConnectorName: "space",
		Enabled:       true,
		Filter:        `{"enabled": true}`,
		Name:          "Hale-Bopp",
		Reason:        "Jupiter",
		Rrule:         "",
		Start:         &start,
		Stop:          &end,
		Type:          "Maintenance",
	}

	return p
}

/*
func TestPBehavior(t *testing.T) {
	Convey("Given a pbehavior", t, func() {
		p := getPBehavior()

		Convey("", func() {
		})
	})
}
*/
