package engine

import "time"

// PartialPeriodical implements most basic engine functions
type PartialPeriodical interface {
	PeriodicalContinue() bool
	PeriodicalWait() time.Duration
	PeriodicalStopped()
	PeriodicalRecover()
}

// Periodical ...
type Periodical interface {
	PartialPeriodical
	PeriodicalProcess() error
}
