package utils_test

import (
	"testing"

	"git.canopsis.net/canopsis/go-revolution/lib/utils"
	. "github.com/smartystreets/goconvey/convey"
)

func TestStringInSlice(t *testing.T) {

	Convey("Given an slice", t, func() {
		s := []string{"Loup", "garou"}

		Convey("A good word is in the slice", func() {
			So(utils.StringInSlice("garou", s), ShouldBeTrue)
		})

		Convey("A bad word is not in the slice", func() {
			So(utils.StringInSlice("count", s), ShouldBeFalse)
		})
	})
}
