package entity

import (
	"git.canopsis.net/canopsis/go-revolution/lib/canopsis/types"
)

// Adapter ...
type Adapter interface {
	FlushBulk() error
	BulkInsert(types.Entity) error
	BulkUpdate(types.Entity) error
	Get(id string) (types.Entity, bool)
}

// Service glue Adapter and Cache together
type Service interface {
	Adapter
}
